var chat = {};
/**
 * 言語リソース
 */
chat.Resource = {
    "code": "ja_JP",

    // よく使う文言
    "closeLabel": "Close",
    "applicateLabel": "Request",
    "applicateExternalLabel": "Send Invitation Email",
    "approveLabel": "Approve",
    "declineLabel": "Decline",
    "inviteInternalLabel": "Invite",
    "inviteExternalLabel": "Send Invitation Email",
    "sendLabel": "Send",
    "deleteLabel": "Delete",
    "joinLabel": "Join",
    "turndownLabel": "Decline",
    "leaveLabel": "Leave Group",
    "changeToEditModeLabel": "Update",
    "changeFromEditModeLabel": "Complete",
    "loading": "Loading...",
    "countLabel": "{{count}} Items",
    "populationFormat": "{{count}} Users",
    "noTitle": "(Title Not Set)",

    // データ関連の文言
    "user_state_online": "Online",
    "user_state_away": "Away",
    "user_state_busy": "Busy",
    "user_state_offline": "Offline",
    "user_state_loading": "",
    "publicChatRoom_on": "Public Room",
    "publicChatRoom_off": "Private Room",
    "chatState_none": "Not Participated",
    "chatState_requested": "Requested",
    "chatState_unconfirmed": "Unapproved",
    "invited_on": "Guest User",
    "invited_off": "Internal Group User",

    // ヘッダー
    "header": {
        "arrivalMessage_invite_room": "You have a new invitation to join a room.",
        "other_unreads": "Other {{count:hs}}"
    },

    // 左メニュー
    "menu": {
        "pinLabel": "Add Pin",
        "unpinLabel": "Remove Pin",
    },

    // チャット(マイルーム/チャットルーム/コンタクト)
    "chat": {
        "detailTitle": "Room Basic Information",
        "changeHistoryTitle": "Update History",
        "readMembersTitle": "Read Status",
        "fileSettingTitle": "File Settings",
        "commentListTitle": "Comments",
        "shareWithCommentTitle": "Comments",
        "memberChooserTitle": "Choose Members",
        "goCommentTargetLabel": "Go to the comment's origin",
        "reminderTitle": "Reminder",
        "resendLabel": "Resend",
        "readText": "Read",
        "readMembersCountText": "{{reads:hs}} of {{members:hs}} member(s) have read", 
        "confirmToFilesDelete": "Are you sure you want to delete the selected file(s)?",
        "confirmToInviteForce": "Are you sure you want to send an invitation email to the entered email address?",
        "notifyMessage_accept_contact": "Contact request has been approved.",
        "notifyMessage_add_member": "New member has joined the room.",
        "notifyMessage_add_task": "{{name:hs}} has added a new task.",
        "notifyMessage_add_event": "{{name:hs}} has added a new event.",
        "notifyMessage_add_question": "{{name:hs}} has created a new questionnaire.",
        "notifyMessage_alarm_todo": "This is a task notification.",
        "notifyMessage_alarm_schedule": "This is an event notification.",
        "notifyMessage_information": "New information has been added.",
        // ↓システム管理者又はユーザーに通知するメッセージ
        "notifyMessage_errorSchNotify": "Failed in system notification of schedule update.",
        "notifyMessage_errorTaskNotify": "Failed in system notification of task update.",
        "notifyMessage_errorQuestNotify": "Failed in system notification of creation of questionnaire.",
        "notifyMessage_errorMemAdmNotify": "Failed in system notification of appointed as an administrator of a room.",
        "notifyMessage_errorMemAddNotify": "Failed in system notification of added member.",
        "notifyMessage_errorRoomReqNotify": "Failed in system notification of requested join room.",
        "notifyMessage_errorRoomAcceptNotify": "Failed in system notification of approved requested participation room.",
        "notifyMessage_errorContactReqNotify": "Failed in system notification of requested contact.",
        "notifyMessage_errorContactAcceptNotify": "Failed in system notification of approved contact.",
        // ↓システム管理者へ通知するメッセージ
        "notifyMessage_errorExecScheduler": "Failed to start a scheduler.",
        "notifyMessage_errorExecNotify": "Failed to invoke the system notification module.",
        "notifyMessage_errorDelUser": "An error has occurred while deleting the users.",
        "notifyMessage_errorDelChat": "An error has occurred while deleting the chats.",
        "notifyMessage_errorDelTemp": "Failed to delete the past session data and the temporary files.",
        "notifyMessage_errorSaveDel": "Failed to delete the data that have exceed the retention period.",
        "notifyMessage_errorSendNode": "Failed to request real-time communications.",
        "notifyMessage_errorNewMessageNotify" : "Failed in system notifications of arrival of new messages.",
        "notifyMessage_errorDneoNotify": "Failed in desknet's NEO Linked Account (Message Notifications)."
    },

    // コンタクト
    "contact": {
        "applicationTitle": "Add Contact", // ユーザープロフィールからの申請
        "approvalTitle": "Approve Contact", // ユーザープロフィールからの申請
        "requestAsMailTitle": "Add Contact by Email",
        "screenShareTitle": "Screen Share",
        "labelCreateTitle": "Create Contact Label",
        "labelModifyTitle": "Update Contact Label",
        "labelListMore": "+{{count:hs}} more...",
        "labelListMore_few": "Add Label"
    },

    // チャットルーム
    "room": {
        "memberChooserTitle": "Member",
        "roomChooserTitle": "Room",
        "invitedChooserTitle": "Guest",
        "disableNotificationButton": "Turn Off Notifications",
        "enableNotificationButton": "Turn On Notifications",
        "requestAsMailTitle": "Invite by Email Address",
        "invitationTitle": "Invite Guest User",
        "memberAddtionTitle": "Add Member",
        "memberInvitationTitle": "Invite Member",
        "invitationApprovalTitle": "Join Room",
        "confirmToInviteButton": "Confirm", 
        "decideToInviteButton": "Send Invitation Email", 
        "referPublicityFormat": "({{public}} Room)",
        "entryTitleWizard_1": "Create Room 1/3 (Basic Information)",
        "entryTitleWizard_2": "Create Room 2/3 (Member Settings)",
        "entryTitleWizard_3": "Create Room 3/3 (Privacy/Privileges Settings)",
        "entryTitleRequest": "Join Room",
        "acceptButton": "Join Requests",
        "applicantsButton": "In Invitation",
        "wizardPrevButton": "< back",
        "wizardNextButton": "next >",
        "infoTitle": "Room Information"
    },

    "profile": {
        "title": "Profile",
        "contactButton_none": "Add Contact",
        "contactButton_unconfirmed": "Delete Request",
        "contactButton_requested": "Approve Contact",
    },

    // お知らせ
    "information": {
        "update_title": "Update Information",
        "manage_button": "Room Information Management",
        "message_confirmToDelete": "Are you sure you want to delete this information?",
        "message_confirmToDeleteChecked": "Are you sure you want to delete the selected information?"
    },
    
    // タスク
    "task": {
        "detailTitle": "Task Details",
        "no_due": "None",
        "alarm_start": "{{date}} day(s) before due date",
        "alarm_everyday": "Everyday",
        "alarm_once": "One Time Only",
        "complete": "Complete",
        "work": "Cancel Completion",
        "entryTitle": "Add Task",
        "modifyTitle": "Update Task",
        "state_completed": "(Completed)",
        "state_active": "(In Progress)",
        "label_manage": "Label Management",
        "confirmToComplete": "Are you sure you want to complete the task?",
        "confirmToDelete": "Are you sure you want to delete the task?",
        "confirmToLabelsDelete": "Are you sure you want to delete the selected label(s)?",
        "confirmToWork": "Are you sure you want to start the task?",
        "confirmToDeleteLabel": "Are you sure you want to remove the label?",
        "alarm_title": "Reminder"
    },

    // スケジュール
    "calendar": {
        "addTitle": "Add Event",
        "detailTitle": "Event Details",
        "birthday": "Birthday",
        "locationEntryFormat": "Location: {{location:hs}}",
        "modifyTitle": "Update Event",
        "listWithoutTerm": "No specified period",
        "targetOccurrenceTitle_update": "Choose the update date",
        "targetOccurrenceTitle_delete": "Choose the delete date",
    },
    // アンケート
    "question": {
        "addTitle": "Create Questionnaire",
        "modifyTitle": "Update Questionnaire",
        "copyTitle" : "Copy Questionnaire",
        "over_choices": "The number of options have exceeded the limit({{max}}). The current number of options is {{now}}.",
        "preview": "Preview",
        "copyOkButtonLabel" : "Copy",
        "answer_title": "Questionnaire Details",
        "to_result": "Display Result",
        "reanswer": "Respond Again",
        "doComplete": "End Acceptance",
        "confirmToComplete": "Are you sure you want to end the acceptance of responses?",
        "confirmToDelete": "Are you sure you want to delete the questionnaire?",
        "confirmToShare": "By sharing, all members can view the results. Are you sure you want to proceed?",
        "confirmToAnswer": "Are you sure you want to respond to this questionnaire?",
        "answer": "Send Response",
        "pulldown_init": "(Please Choose One)",
        "rank": "{{rank}}",
        "answer_complete": "Response Due Date",
        "result_title": "Questionnaire Result",
        "other": "Unresponded",
        "when_completed": "Due Date {{date}}",
        "when_start": "Start {{date}}",
        "answerResetLabel": "Reset"
    },

    // ファイル
    "file": {
        "downloadAll": "Allow users to download all preferences.",
        "downloadExceptExt": "Do not allow users to download files via external IP.",
        "downloadExeptApp": "Do not allow users to download files to smartphones.",
        "downloadOnlyInt": "Do not allow users to download files via(by) external IP and smartphone app.",
        "downloadNever": "Do not allow users to download files",
        "image_title": "Image",
        "confirmToDelete": "Are you sure you want to delete this file?",
        "rename_title": "Update File Name",
        "snippetOmitText": "{{omitted}} more lines...",
    },

    // ライセンス
    "license": {
        // 種別: ルーム
        "room": {
            "exceedanceLicenseMessage": "You need {{count}} more room license(s).",
            "exceedanceNoExpireLicenseMessage": "Delete {{count}} room(s) in {{limit}} day(s) or purchase the insufficient license(s).",
            "availableLicenseMessage": "You have purchased {{count}} room license(s)."
        }
    },

    "Message": {
        "com_notSupportedUserAgent": "Your browser is not supported by ChatLuck.",
    	"com_passwordWillExpire": "Please change your password here <a href=\"{{url}}\">Login Information Settings</a>",
        "com_confirmCriticalDelete": "Please take note that the deleted items cannot be restored.",
        "com_warnNotFound": "W:The target information has not been found. It may has been deleted.",
        "call_warnCalling": "W:You cannot make another call.",
        "call_warnCallOffline": "W:You cannot make an offline call.",
        "call_warnNoContact": "W:You cannot make the call because the user is not your contact user.",
        "call_warnNotInHome": "W:Screen cannot be shared because the user is not displaying the chat function.",
        "call_messageDecline": "M:No response.",
        "call_messageIAmBusy": "M:I cannot talk right now.",
        "call_messageCallLater": "M:I will call you back.",
        "call_messageErrorOnTarget": "M:The call has ended because an error has occurred at the other user's side.",
        "call_messageAcceptedOther": "M:The user is on a call.",
        "call_notSupported": "The call features are not available in your browser.",
        "call_notSupported_extra": "Supported browsers are Chrome and Firefox.",
        "call_beforeUnload": "The call will be terminated if you refresh the screen.",
        "call_webrtcError": "E:An error has occurred.",
        "call_webrtcError_mediaUnavailable": "W:Cannot access to microphone or camera.<br>\nPlease check the connections.",
        "call_webrtcError_extensionRequired": "W:Cannot start the screen share.<br>\nPlease install the \"ChatLuck Desktop Capture.\" extension",
        "call_webrtcError_mediaSettingRequired": "W:Cannot start the screen share.<br>\nPlease allow the function in the settings of ChatLuck.",
        "header_contactCount": "You have {{count:hs}} new contact notification(s).",
        "header_contactNotFonud": "You have no new contact notifications.",
        "header_notifyCount": "You have {{count:hs}} new notification(s).",
        "header_notifyNotFonud": "No new notifications.",
        "header_messageCount": "You have {{count:hs}} unread message(s).",
        "header_messageNotFonud": "No new messages.",
        "header_rtconnect": "Real-time communication: {{message:T}}",
        "header_rtconnect_ok": "Connected",
        "header_confirmToLogOut": "Are you sure you want to log out?",
        "chat_confirmToRemove": "All the following data of the room will be deleted.<br />\nAssignees of tasks and schedules<br />\nResponses and drafts of questionnaires of the selected user(s).<br />\nAre you sure you want to proceed?",
        "chat_confirmToAccept": "Are you sure you want to approve the selected user(s)?",
        "chat_confirmToDeny": "Are you sure you want to decline the selected user(s)?",
        "chat_confirmToCancelInvitation": "Are you sure you want to delete the invitation request(s) from the selected user(s)?",
        "chat_confirmToDelete": "Are you sure you want to delete?",
        "chat_permissionChanged": "Permissions of \"{{user:hs}}\" has been changed.",
        "room_confirmToCancelRequest": "Are you sure you want to cancel the participation request to this room?",
        "room_confirmToRequestAccept": "Are you sure you want to join this room?",
        "room_confirmToRequestDeny": "Are you sure you want to decline the participation request?",
        "room_confirmToInviteExternal": "Are you sure you want to send an invitation email to the guest user?",
        "room_confirmToApproveInvitation": "Do you want to join this room?",
        "room_confirmToCopy": "A new room with \"{{name}}\"'s room members and settings will be created.<br>Are you sure you want to proceed?",
        "room_updatedByAnyone": "Room information has been updated. Click <a href=\"#\">here</a> to redisplay.",
        "room_expireToAdd": "The invitation will be invalid after {{limit}}.",
        "contact_confirmToCancelRequest": "Are you sure you want to cancel the request?",
        "contact_confirmToRelease": "Are you sure you want to remove this contact?<br>\nAll related messages, tasks, schedules and files will be deleted.",
        "contact_confirmToApprove": "Do you want to approve this request?",
        "contant_confirmToRequestExternal": "Are you sure you want to send a contact request email to the guest user?",
        "contact_expireToAdd": "Request(s) will be expired in {{limit}}.",
        "message_confirmToDelete":"Are you sure want delete the message?",
        "message_replyTargetNotFound": "The message has been deleted.",
        "message_uploadIsNotAllowed":"You do not have the required access rights to upload files.",
        "message_searchNotFound":"No messages were found that match the keyword.",
        "profile_defaultMemoGuide": "Double click to change the personal notes.",
        "calendar_reminderFormat_minute": "Send {{value:hs}} minutes before",
        "calendar_reminderFormat_hour": "Send {{value:hs}} hour(s) before",
        "calendar_reminderFormat_day": "Send {{value:hs}} day(s) before",
        "calendar_occurrenceChooser_update": "Please choose an item you want to update.",
        "calendar_occurrenceChooser_delete": "Please choose an item you want to delete.",
        "calendar_confirmToDelete": "Are you sure you want to delete the event?",
        "share": "Are you sure you want to share?"
     }
};

/**
 * サーバー(リアルタイム通信)のエラーメッセージ
 */
// ログイン関連
app.Resource.Message.rs_error_session_unknown = "Cannot access to the requested process.<br>\nThe permissions might have been changed or the session has expired. Please try again from the beginning.";
// API関連
app.Resource.Message.rs_error_param_faild = "Request is invalid. Please check the content and try again.";
// DB関連
app.Resource.Message.rs_error_db_faild = "Failed to access the database.";
// WebRTC関連
app.Resource.Message.rs_error_user_not_logged_in = "W:Call destination is currently offline.";
app.Resource.Message.rs_error_send_error = "A communication error has occurred.";
app.Resource.Message.rs_error_user_busy = "W:Other user may be busy.";
app.Resource.Message.rs_error_user_not_supported = "W:Other user cannot use the call feature.";
app.Resource.Message.rs_error_not_response = chat.Resource.Message.call_messageDecline;
